package com.xxl.job.admin.core.util;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.fasterxml.jackson.core.JsonGenerationException;
import com.fasterxml.jackson.core.JsonParseException;
import com.fasterxml.jackson.databind.JavaType;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import java.io.IOException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class JacksonUtil {
  private static Logger logger = LoggerFactory.getLogger(com.xxl.job.admin.core.util.JacksonUtil.class);
  
  private static final ObjectMapper objectMapper = new ObjectMapper();
  
  public static ObjectMapper getInstance() {
    return objectMapper;
  }
  
  public static String writeValueAsString(Object obj) {
    try {
      return getInstance().writeValueAsString(obj);
    } catch (JsonGenerationException e) {
      logger.error(e.getMessage(), e);
    } catch (JsonMappingException e) {
      logger.error(e.getMessage(), e);
    } catch (IOException e) {
      logger.error(e.getMessage(), e);
    } 
    return null;
  }
  
  public static <T> T readValue(String jsonStr, Class<T> clazz) {
    try {
      return getInstance().readValue(jsonStr, clazz);
    } catch (JsonParseException e) {
      logger.error(e.getMessage(), e);
    } catch (JsonMappingException e) {
      logger.error(e.getMessage(), e);
    } catch (IOException e) {
      logger.error(e.getMessage(), e);
    } 
    return null;
  }
  
  public static <T> T readValue(String jsonStr, Class<?> parametrized, Class<?>... parameterClasses) {
    try {
      JavaType javaType = getInstance().getTypeFactory().constructParametricType(parametrized, parameterClasses);
      return getInstance().readValue(jsonStr, javaType);
    } catch (JsonParseException e) {
      logger.error(e.getMessage(), e);
    } catch (JsonMappingException e) {
      logger.error(e.getMessage(), e);
    } catch (IOException e) {
      logger.error(e.getMessage(), e);
    } 
    return null;
  }
}
